org.apache.ignite.internal.processors.cache.mvcc

## Class MvccSnapshotFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<T>
  - - org.apache.ignite.internal.processors.cache.mvcc.MvccFuture<MvccSnapshot>
    - - org.apache.ignite.internal.processors.cache.mvcc.MvccSnapshotFuture

All Implemented Interfaces:
  IgniteInternalFuture<MvccSnapshot>, MvccSnapshotResponseListener

    public class MvccSnapshotFuture
    extends MvccFuture<MvccSnapshot>
    implements MvccSnapshotResponseListener

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.mvcc.MvccFuture

`crdId`

### Constructor Summary

Constructors
Constructor and Description
`MvccSnapshotFuture()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onError(IgniteCheckedException err)`
`void` `onResponse(MvccSnapshot res)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.mvcc.MvccFuture

`coordinatorNodeId, coordinatorNodeId`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MvccSnapshotFuture

    public MvccSnapshotFuture()

### Method Detail

#### onResponse

    public void onResponse(MvccSnapshot res)

Specified by:
  `onResponse` in interface `MvccSnapshotResponseListener`
Parameters:
  `res` - Version.

#### onError

    public void onError(IgniteCheckedException err)

Specified by:
  `onError` in interface `MvccSnapshotResponseListener`
Parameters:
  `err` - Error.

#### toString

    public String toString()

Overrides:
  `toString` in class `MvccFuture<MvccSnapshot>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020